/* pagination */
.umbraco-forms-field-wrapper .pagination {
  display: inline-block;
}

.umbraco-forms-field-wrapper .pagination a {
  color: black;
  float: left;
  padding: 8px 16px;
  text-decoration: none;
}

.umbraco-forms-field-wrapper .pagination a:hover {
  background: #c8c4c0;
  javascript: void(0);
}

.umbraco-forms-field-wrapper .pagination a.active {
  background-color: #a3e953;
  color: #0d6954;
  border-radius: 2px;
}

.umbraco-forms-field-wrapper .pagination a {
  background-color: #f1ede7;
  margin: 4px;
  font-weight: 600;
}

a.arrows {
  padding: 6.5px 16px 6px 16px;
  color: #0d6954;
}

/* Dropdown */
.umbraco-forms-field-wrapper .dropdown-selector {
  padding: 10px;
  border-radius: 5px;
  width: 100%;
  border: 1px solid #ccc;
}

/* custom radio button */
.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 25px;
  width: 25px;
  border-radius: 50%;
  border: 1px solid grey;
}

.container-radio-buttons input:checked ~ .checkmark {
  background-color: #006954;
}

.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

.container-radio-buttons input:checked ~ .checkmark:after {
  display: block;
}

.container-radio-buttons .checkmark::after {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 8px;
  height: 8px;
  border-radius: 50%;
  background: white;
}

/* Thank you message */
.thankyou-message {
    background: #F1EDE7;
    border-radius: 5px;
    padding: 7.2rem 0rem;
}

.thankyou-message--sm {
    padding: 2rem 6rem 2rem 2rem;
    margin: 7rem auto;
}

    .thankyou-message .thankyou-message-p {
        margin: 0px;
        padding: 0px;
        padding-bottom: 21px;
        padding-left: 80px;
        padding-top: 4px;
        font-size: 18px;
    }

    .thankyou-message--sm .thankyou-message-p {
        padding-bottom: 0;
        padding-left: 60px;
    }
    
    .thankyou-message .thankyou-title {
        margin: 0px;
        padding-left: 80px;
        padding-top: 21px;
        color: #006954;
    }
    
    .thankyou-message--sm .thankyou-title {
        padding-top: 0;
        padding-left: 60px;
        font-size: 24px;
        font-weight: normal;
        margin-top: 10px;
    }

.thankyou-message {
  max-width: 80%;
}

.thankyou-message .fa.fa-check-circle {
    font-size: 48px;
    color: #A3E953;
    padding-left: 25px;
    padding-top: 0px;
    margin-top: 16px;
    position: absolute;
}

.thankyou-message--sm .fa.fa-check-circle {
    margin-top: 0;
    padding-left: 0;
    color: #27A005;
}

/* input field */
input.umbraco-forms-field-wrapper .input {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  margin-top: 2px;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
}

textarea {
  border-radius: 5px;
  margin-top: 4px;
  min-height: 200px;
}

.umbraco-forms-field-wrapper .container-radio-buttons {
  display: block;
  position: relative;
  padding-left: 2.5rem;
  margin-bottom: 12px;
  cursor: pointer;
  font-size: 16px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
/* Hide default radio button */
.umbraco-forms-field-wrapper .container-radio-buttons input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}

.umbraco-forms-field-wrapper .container-checkbox {
  display: block;
  position: relative;
  padding-left: 2.5rem;
  margin-bottom: 12px;
  cursor: pointer;
  font-size: 18px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  cursor: pointer;
}

.umbraco-forms-field-wrapper .text-other {
  margin-left: 2.5rem;
  width: calc(100% - 2.5rem);
}

.umbraco-forms-field-wrapper .checkmark.square {
  border-radius: 0;

}
/* Hide the browser's default checkbox */
.umbraco-forms-field-wrapper .container-checkbox input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}
/* Create a custom checkbox */
.umbraco-forms-field-wrapper .checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 18px;
  width: 18px;
  background-color: #eee;
}
/* When the checkbox is checked, add a blue background */
.umbraco-forms-field-wrapper .container-checkbox input:checked ~ .checkmark {
  background-color: #006954;
}
/* Create the checkmark/indicator (hidden when not checked) */
.umbraco-forms-field-wrapper .checkmark:after {
  content: "";
  position: absolute;
  display: none;
}
/* Show the checkmark when checked */
.umbraco-forms-field-wrapper
  .container-checkbox
  input:checked
  ~ .checkmark:after {
  display: block;
}
/* Style the checkmark/indicator */
.umbraco-forms-field-wrapper .container-checkbox .checkmark:after {
    left: 5px;
    top: 0px;
    width: 4px;
    height: 12px;
    border: solid white;
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

/* custom radio button */
.umbraco-forms-field-wrapper .checkmark {
    position: absolute;
    top: 5px;
    left: 6px;
    height: 16px;
    width: 16px;
    border-radius: 50%;
    border: 1px solid grey;
    background-color: white;
}

.umbraco-forms-field-wrapper
  .container-radio-buttons
  input:checked
  ~ .umbraco-forms-field-wrapper
  .checkmark {
  background-color: #006954;
}

.umbraco-forms-field-wrapper .checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

.umbraco-forms-field-wrapper
  .container-radio-buttons
  .umbraco-forms-field-wrapper
  .radio-button:checked
  ~ .umbraco-forms-field-wrapper
  .checkmark:after {
  display: block;
}

/* input error */

input#input-error {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 3px solid #ff0000;
  border-radius: 4px;
  box-sizing: border-box;
}

label.input-error-top,
label.input-error-bottom {
  color: #ff0000;
  font-weight: 600;
}

.field-validation-error span {
  color: #ff0000;
}

/* Submit Button */
.umbraco-forms-navigation .btn {
  margin-bottom: 4rem;
}

button.umbraco-forms-field-wrapper .submit-button:hover {
  background-color: #97d64f;
  text-decoration: none;
  border-color: #97d64f;
}

/* File Upload */

.file-upload-label {
  cursor: pointer;
  /* Style as you please, it will become the visible UI component. */
  text-transform: uppercase;
  display: inline-block;
  padding: 14px 25px;
  height: 50;
  font-family: "Masion Neue Bold", Arial Bold, Sans-serif;
  background-color: #a3e953;
  border: 2px solid #a3e953;
  text-decoration: none;
  font-size: 14px;
  font-weight: bold;
  font-stretch: normal;
  font-style: normal;
  letter-spacing: 0.75px;
  text-align: center;
  color: #006954;
}

.file-upload-label:hover {
  background-color: #97d64f;
  text-decoration: none;
  border-color: #97d64f;
}

.input.block.input-label-large > textarea {
  padding: 10px 10px 10px 10px;
  display: block;
  height: 50px;
  font-family: "Maison Neue";
  font-size: 17px;
  font-weight: 500;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.5;
  letter-spacing: normal;
  color: #979492;
  border-radius: 2px;
  border: solid 1px #c8c4c0;
  background-color: #ffffff;
  -webkit-box-shadow: none !important;
  box-shadow: none !important;
  margin-bottom: 10px;
  -webkit-appearance: none;
}

.umbraco-forms-label {
  padding-bottom: 0.5rem;
  display: inline-block;
}

.umbraco-forms-field-wrapper .input-res {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  font: 15px/1 "Open Sans", sans-serif;
  color: #333;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  width: 100%;
  border: none;
  padding: 10px 11px 11px 11px;
  border-radius: 3px;
  box-shadow: none;
  outline: none;
  margin: 0;
  box-sizing: border-box;
  border: 1px solid #ccc;
  border-radius: 4px;
  resize: vertical;
}

.umbraco-forms-field-wrapper .display-inline-block {
  display: inline-block;
}

.visually-hidden {
  opacity: 0;
  position: absolute;
  z-index: -1;
  left: -999999px;
}

.umbraco-forms-field-wrapper .container-checks {
  line-height: 1.5; /* Center boxes wlth text */
}

.umbraco-forms-field {
  margin: 2rem 0;
}

/* Date Picker */

.date-picker-wrap:after {
  position: absolute;
  top: 12px;
  right: 15px;
  z-index: 1;
  content: " ";
  background-image: url(../../img/Date-Picker-icon.svg);
  width: 18px;
  height: 20px;
}

.inline-style {
  display: inline-block;
  position: relative;
  margin: 1rem 0;
}

/* File Upload */
.file-upload-wrapper {
  border: 2px dashed #c8c4c0;
  padding: 38px 20px;
  text-align: center;
  max-width: 600px;
  border-radius: 5px;
}

.file-upload-wrapper .file-upload-form {
  opacity: 0;
  display: none;
}

i.fa.fa-cloud-upload {
  font-size: 50px;
}

.upload-icon {
  position: absolute;
  display: flex;
}
.uploaded-file,
.current-files,
.input-success {
  display: none;
}

@media only screen and (max-width: 600px) {
  .upload-icon {
    position: relative;
    display: block;
    margin: 0 auto;
  }
}

.umbraco-forms-navigation.row-fluid {
  text-align: center;
}

/* checkbox list w other */

/* Form Indent */

.input-indent {
  display: flex;
}

.input-indent .indent {
  flex: 0 0 5rem;
}

.input-indent input {
  flex: 1;
}

/* Custom Label Alignments -- label left */

.umbraco-forms-field.label-left {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

.umbraco-forms-field.label-left .umbraco-forms-label {
  flex: 2;
  padding-top: 10px;
}

.umbraco-forms-field.label-left .umbraco-forms-field-wrapper {
  flex: 10;
}

.umbraco-forms-hidden {
  display: none;
}
